javax.persistence

## Interface TupleElement<X>

Type Parameters:
  `X` - the type of the element

All Known Subinterfaces:
  CollectionJoin<Z,E>, CompoundSelection<X>, CriteriaBuilder.Case<R>, CriteriaBuilder.Coalesce<T>, CriteriaBuilder.In<T>, CriteriaBuilder.SimpleCase<C,R>, Expression<T>, From<Z,X>, Join<Z,X>, ListJoin<Z,E>, MapJoin<Z,K,V>, ParameterExpression<T>, Path<X>, PluralJoin<Z,C,E>, Predicate, Root<X>, Selection<X>, SetJoin<Z,E>, Subquery<T>

    public interface TupleElement<X>

The `TupleElement` interface defines an element that is returned in a query result tuple.

Since:
  Java Persistence 2.0
See Also:
  `Tuple`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAlias()` Return the alias assigned to the tuple element or null, if no alias has been assigned.
`Class<? extends X>` `getJavaType()` Return the Java type of the tuple element.

### Method Detail

#### getJavaType

    Class<? extends X> getJavaType()

Return the Java type of the tuple element.

Returns:
  the Java type of the tuple element

#### getAlias

    String getAlias()

Return the alias assigned to the tuple element or null, if no alias has been assigned.

Returns:
  alias